QGIS Application - Bug report #20972
Python error when running a Processing model
2019-01-11 01:21 PM - Magnus Nilsson

Status: Open

Priority: Normal

Assignee:

Category: Processing/Modeller

Affected QGIS version:3.4.3 Regression?: No
Operating System: Windows 10, 64 bit Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28791
Description

| am trying to use an online CSYV file and plot its content as points using a Processing model. These steps causes a Python error:

1) Open a new model

2) Add the algorithm for downloading a file. | used https://earthquake.usgs.gov/earthquakes/feed/v1.0/summary/4.5 day.csv.
3) Add the algorithm for creating points from a table and configure it
)
)

4) Run the model
5) I now get this error message:

Traceback (most recent call last):

File "C:/PROGRA~1/GIS/QGIS/apps/qgis/./python/plugins\processing\algs\qgis\PointsLayerFromTable.py", line 91, in processAlgorithm
raise QgsProcessingException(self.invalidSourceError(parameters, self.INPUT))

_core.QgsProcessingException: Kunde inte lasa in kallager for INPUT:
C:/Users/Magnus/AppData/Local/Temp/processing_fa76c51163e14b998c7ffcb4867abf80/980f76d9052042cd8525137ae9ede68f/OUTH
PUT file ej hittad

Ett fel uppstod vid kérning av Skapa punktlager fran tabell
Ett fel uppstod vid kérning av Skapa punktlager fran tabell

Berédkningen misslyckades efter 0.38 sekunder

| expected the data from the download algorithm to be available for other algorithms. Is this incorrect or is this a bug?

History

#1 - 2019-01-11 03:38 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please attach the model and the necessary data.

#2 - 2019-01-11 03:45 PM - Magnus Nilsson
- File CSV from web.model3 added

Model attached

2025-04-26 12

UT file


https://earthquake.usgs.gov/earthquakes/feed/v1.0/summary/4.5_day.csv

#3 - 2019-01-11 04:06 PM - Giovanni Manghi
- Status changed from Feedback to Open

#4 - 2019-01-25 09:38 PM - Alexis Roy-L

Have you tried providing a file name to the downloader, I'm not sure if the file can be properly set in memory and converted to an output.

Files

CSV from web.model3 5.39 KB 2019-01-11 Magnus Nilsson
